
ctools - Bug #3261

Issues with the correction in the devel version of Cssrcdetect (related to the bug fix in

https://github.com/ctools/ctools/commit/d086ddbbe4c5e23409611d455c7a6c340b06d369) 

07/03/2020 06:16 PM - Adelfio Andrea

Status: Closed Start date: 07/03/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

I'm reporting a problem in the correction added in the script cssrcdetect.py after the smoothing of the skymap: all values of std and

mean < 1 are set to zero. This may delete some information of the signal, resulting in a source position not correct. Also, cssrcdetect

finds many sources around that position.

Setting some values to 0.0 after the smoothing could seriously modify the smoothing operation if there are multiple sources.

Can you check if I am doing something wrong? Attached, you can find a basic example you can check, for which cssrcdetect does

not work properly with that correction.

A suggestion: instead of setting to zero negative values, you can search the minimum in std and mean and, if the minimum is

negative, you add the absolute value of the minimum to all pixels. This should not change the result of the smoothing operation.

History

#1 - 07/15/2020 12:31 PM - Knödlseder Jürgen

- Target version set to 1.7.0

#2 - 07/15/2020 02:27 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

I implemented your suggestion and it seems to work fine. Here the corresponding code:

        # Compute minimum value of standard deviation

        std_offset  = 0.0

        for index in range(std.npix()):

            if std[index] < std_offset:

                std_offset = std[index]

        # If minimum value is negative then subtract minimum value to guarantee

        # a non-negative map of standard deviations

        if std_offset < 0.0:

            for index in range(std.npix()):

                std[index]  -= std_offset
#3 - 07/15/2020 03:49 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.

Files

test_data.tar 2.31 MB 07/03/2020 Adelfio Andrea
